Сборка 20210327

  • обновления на 27.03.2021
  • ядра 5.4.108
  • начата работа над платформой Rosa 2019.1
  • приостановлено ежемесячное обновление сборок 2014*
3 Likes

Проверил сборку на своём конфиге Toshiba U840 – лучше не стало:

  • Wi-Fi с драйвером rtl8723ae_new так и тормозит, особенно наверх.
  • Драйвер rtl8723ae, прекрасно работающий в других дистрибутивах, не запускается.
  • По нажатию кнопки питания идёт выключение, а не засыпание.

Собственно, ветка ядра-то не поменялась, радикальных перемен не ожидал.

А сборок 32-битных, как я понял, регулярно уже не будет? Только в AntiX пока вижу работающий без SSE3 Firefox, но там же, например Plex, Kodi, Vivaldi, VLC уже не запускаются даже встроенные. Похоже, век 586 завершился окончательно… можно сливать винты в архивы, распаивать материнки на электронные компоненты и пускать живые ещё процессоры на значки.

Запускал сборку 20210327
У меня нетбук

Архитектура: 64-битная
Процессоры: 4 × AMD Ryzen 3 4300U with Radeon Graphics
Память: 7,2 ГиБ ОЗУ
Графический процессор: AMD RENOIR

При загрузке с ядром от МагОС видимо некорректно определяется видеокарта.
Запуск системы только через терминал и с разрешением 1024х768
Пробовал ядро от Магеи
Где
uird - загрузчик для моей сборки. Путь - /Linux/MagOS1
uirdmgs - Загрузчик для МагОС

С ядром от Магеи ( Версия ядра: 5.10.27-desktop-1.mga8 ) загрузка системы и определение видеокарты происходит штатно.

1 Like

К сожалению, нет железа на котором можно было бы эту проблему отловить. Похоже,что проблема в ядре. Попробуйте след. сборку. Если в более новом ядре проблема уйдёт, то хорошо. Если определите в чём разница, прошу сообщить.

Я могу делать по запросу сборки 32 red, но там я могу обновить только ядро. Пакеты не меняются больше. Теоретически можно и 2016 и 2019 собрать под 586-686, но только я не думаю что это будет востребовано. 2016 уже почти не обновляется. Проще в 64битную сборку добавить 32битные библиотеки и запускать древний софт так.
Со старым железом и софтом ещё беда в том, что инет уже так поменялся, что уже не хватает старого железа.

Проблема осталась (Сборка 20210424). В нетбуке разделы - /dev/nvme0n1p1 и /dev/nvme0n1p2
Это уже чисто UEFI нетбук.
А на обычном компе сборка запустилась нормально.
По прежнему на высоте ядро от Магеи - https://cloud.mail.ru/public/3XHR/BNE2gtd6o
Ядро запускается не только на Росе, но и на Lubuntu
Еще дополнительно записал virtualbox и он даже запускается.
Более того в последних ядрах, если ядро в загрузчике и системе отличаются, то система все равно запустится. Но сервисы запускаются не все.
В частности у меня, в этом случае, нет сети на wifi
Но можно ошибку исправить и перезагрузиться и это очень удобно.

А может ничего особо то и делать не надо. Скомпилировать ядро для Росы.
Можно ядро взять у Магеи можно отсюда - https://www.kernel.org/

PS
Пробовал ядро для Магеи собрать - Собираем ядро для Mageia (Страница 1) — Системное администрирование — Mageia Russian Community Forum
Но что то получилось все не очень хорошо. Видимо еще какие то секреты есть
Но собранные ядра нормально запустились.

Я так понимаю у вас просто ядро 5.10, а не 5.4
5.10 стабильно, пожно на него переходить, но под него не собираются dkms. Их придётся обновлять и пересобирать. В след. сборке тогда попробую перейти на 5.10

  1. В Магее опять обновилось ядро
    Проверил загрузку MagOS Linux от нового ядра - https://cloud.mail.ru/public/3XHR/BNE2gtd6o
    Ядро от Магеи (kernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64.rpm) просто распаковал.
    Т е в Росу оно могло бы установлено, но ошибки :

    rpm -ivh kernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64.rpm
    ==> warning: tag 273 type(0x6) != implicit type(0x0)
    error: Failed dependencies:
    bootloader-utils >= 1.16-1 нужен для kernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64
    ldetect-lst >= 0.6.25-1 нужен для kernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64
    rpmlib(PayloadIsZstd) <= 5.4.18-1 нужен для kernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64
    btrfs-progs < 5.10-1 конфликтует сkernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64
    grub2 < 2.02.0-15 конфликтует сkernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64
    radeon-firmware < 20201218-1 конфликтует сkernel-desktop-5.10.33-1.mga8-1-1.mga8.x86_64

Хотя установил модульно и все грузится в последней сборке.

  1. В Росе делаю правку для sddm (base/89-pach.xzm )
    Т к файл /usr/share/sddm/scripts/Xsession в Росе сбойный.
    Если загрузиться в LXQt то в Plasma уже не загрузиться
    В /etc/sddm.conf

SessionCommand=/usr/share/sddm/scripts/Xsession

Менять настройку я не могу т к не будет загружаться Lubuntu
А магос-модуль у меня общий для всех систем.
Поэтому применил /usr/share/sddm/scripts/Xsession от Магеи

В Lubuntu /usr/share/sddm/scripts/Xsession это то же скрипт, но он нормально работает.